Bug 854344 - CD drive becomes unresponsive after eject
CD drive becomes unresponsive after eject
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 13:10 EDT by Stephen Haffly
Modified: 2013-03-28 10:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 10:03:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Haffly 2012-09-04 13:10:04 EDT
Description of problem:
After I close the drive tray after ejecting a CD from a PATA CD-ROM drive, the drive becomes unresponsive. It will not respond to either pressing the drive's button or by issuing the comand, "eject /dev/sr1"

/var/log/messages shows this:

Sep  3 19:00:30 emerald kernel: [78200.113125] UDF-fs: Partition marked readonly; forcing readonly mount
Sep  3 19:00:30 emerald kernel: [78200.188727] UDF-fs: INFO Mounting volume 'PowerPanel pe', timestamp 2009/06/10 23:38 (1f10)
Sep  3 19:00:30 emerald udisksd[1951]: Mounted /dev/sr1 at /run/media/stephenh/PowerPanel pe on behalf of uid 1000
Sep  3 19:01:01 emerald udisksd[1951]: Cleaning up mount point /run/media/stephenh/PowerPanel pe (device 11:1 is not mounted)
Sep  3 19:01:01 emerald udisksd[1951]: Unmounted /dev/sr1 on behalf of uid 1000

Issuing the command "eject /dev/sr1" either as a regular user or as su makes no difference. There is no output to screen and no addition to the message log.

Version-Release number of selected component (if applicable):
Fedora 17, x86_64, 3.5.2-3.fc17.x86_64
udisks-1.0.4-6.fc17.x86_64

How reproducible:
1. Insert CD into drive.
2. View files on disk.
3. Use eject feature of Thunar (or other eject option such as palimpsest) to eject the disk.
4. press drive's button to close the tray.
5. press button to try to open tray -- FAIL.

Steps to Reproduce:
1. See above.
  
Actual results:
Drive is unresponsive until system is rebooted.

Expected results:
Drive should respond without requiring a reboot.

Additional info:
This system has:
One DVD R/W drive (/dev/sr0) connected to SATA.
One CD R/W drive (/dev/sr1) connected to PATA Primary Master.
No other PATA connections used. HDDs are SATA.

I posted about this problem on Fedora Forum and apparently, I am not the only one who has experienced this problem.

http://forums.fedoraforum.org/showthread.php?p=1600787#post1600787

Bug report was originally filed against udisks, but it was closed with the comment that it was not a problem with udisks. A further comment pointed me toward the kernel as a possible source of this issue.
Original report was https://bugzilla.redhat.com/show_bug.cgi?id=854074
Comment 1 Josh Boyer 2013-03-12 16:28:31 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 2 Josh Boyer 2013-03-28 10:03:19 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.